# Dark Mode Toggle module

When your theme supports dark mode, this module provides a block that allows
visitors to toggle between light and dark themes.

The Dark Mode Toggle block features three buttons:
- A Light Mode button
- A Dark Mode button
- A System Mode button, which follows the user's browser preference

The user's choice is saved in the browser's local storage, so their preference
is remembered when they return to the site.

When dark mode is preferred, this module adds the `dark` class to the `<html>`
element. Additionally, a `data-dark-mode-source` attribute is added to the
`<html>` element to indicate the source of the dark mode selection (either
`user` or `system`). It is up to the theme to style the site correctly based on
the selected variant.

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

Navigate to Administration » Structure » Block layout and place the Dark Mode
Toggle block in one of the regions.

## Maintainers

Current maintainers:

* Niels Sluijs (Watergate) - https://www.drupal.org/u/watergate

This project has been sponsored by:

* Sicse
  Specialized in creating and managing dynamic web-solutions, incorporating
  state-of-the-art services. Visit https://sicse.dev for more information.
